| Home | Libraries | People | FAQ | More

## Function template float_sort

boost::sort::spreadsort::float_sort — Float sort algorithm using random access iterators with both right-shift and user-defined comparison operator.

## Synopsis

    // In header: <boost/sort/spreadsort/float_sort.hpp>

    template<typename RandomAccessIter, typename Right_shift, typename Compare>
      void float_sort(RandomAccessIter first, RandomAccessIter last,
                      Right_shift rshift, Compare comp);

## Description

Parameters:

`comp` | A binary functor that returns whether the first element passed to it should go before the second in order.
`first` | Iterator pointer to first element.
`last` | Iterator pointing to one beyond the end of data.
`rshift` | Functor that returns the result of shifting the value_type right a specified number of bits.